declare class P1ListClass {
    private readonly N;
    private readonly handle;
    constructor(N: any);
    count(): number;
    normalize(u: number, v: number): [number, number];
    normalize_with_scalar(u: number, v: number): [number, number];
    index(u: number, v: number): number;
    __repr__(): string;
}
export declare let wasm: any;
export declare function init(): Promise<void>;
export default function P1List(N: number): P1ListClass;
export {};
